Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219051 - media-sound/soundkonverter-0.3.6 fails with gcc 4.3 [patch included]
Summary: media-sound/soundkonverter-0.3.6 fails with gcc 4.3 [patch included]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-23 18:13 UTC by Holger Ackermann
Modified: 2008-04-24 17:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch fixing compile error (soundkonverter-0.3.6-gcc43.patch,1.09 KB, patch)
2008-04-23 18:14 UTC, Holger Ackermann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Ackermann 2008-04-23 18:13:53 UTC
media-sound/soundkonverter-0.3.6 fails to compile with gcc 4.3 due to some missing "#include <cstring>"

Reproducible: Always

Steps to Reproduce:
emerge soundkonverter and build with gcc 4.3



Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.3.0, glibc-2.7-r2, 2.6.24-zen5 x86_64)
=================================================================
System uname: 2.6.24-zen5 x86_64 Intel(R) Core(TM)2 CPU T5600 @ 1.83GHz
Timestamp of tree: Wed, 23 Apr 2008 17:04:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ "
LC_ALL="de_DE.UTF-8"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/custom-kernels /usr/portage/local/layman/gnome /usr/portage/local/layman/gcc-porting /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 apm avahi berkdb bzip2 cairo caps cddb cdr cjk cli cracklib crypt cups dbus dri dts dvd dvdnac dvdr dvdread encode fam fat ffmpeg firefox flac fortran ftp gd gdbm gif gnutls gpm hal http iconv id3tag ieee1394 innodb ipv6 ipw3945 isdnlog java javascript jpeg jpeg2k kde ldap live loop-aes mad midi mikmod mime mmx mp3 mp4 mpeg mplayer mudflap musicbrainz mysql ncurses nls nptl nptlonly nsplugin ntfs ntpl ntplonly ogg opengl openmp pam pcre pdf perl png postgres postgresql pppd python qt3 qt3support qt4 quicktime rar readline reflection samba session sndfile sockets sound spl sse sse2 sse3 ssl ssse3 startup-notification stream svg tcl tcpd tetex theora tiff tk truetype twolame unicode v4l v4l2 vcd vorbis xine xinerama xml xorg xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Holger Ackermann 2008-04-23 18:14:45 UTC
Created attachment 150728 [details, diff]
Patch fixing compile error
Comment 2 Samuli Suominen gentoo-dev 2008-04-24 17:34:05 UTC
applied, thanks